# Define the kmod package name here.
%define kmod_name qlcnic

# Define the QLogic serial number.
%define QLsn 140409

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-358.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 5.3.55.7
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.qlogic.com

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  http://filedownloads.qlogic.com/Files/TempDownlods/83661/%{kmod_name}-%{version}-%{QLsn}-QLogic.tgz
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s).
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n %{kmod_name}-%{version}-QLogic
%{__tar} -zxf qlgc-%{kmod_name}-src-%{version}.tgz
%{__rm} -f *.tgz
%{__cp} -a %{kmod_name}-%{version}-src/*rhel6* .
%{__rm} -fr %{kmod_name}-%{version}-src
for T in *.tgz; do %{__tar} -zxf $T; done
%{__rm} -f *.tgz
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
pushd %{kmod_name}-%{version} >/dev/null
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD CONFIG_QLCNIC=m
popd >/dev/null

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
pushd %{kmod_name}-%{version} >/dev/null
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" modules_install M=$PWD
popd >/dev/null
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{kmod_name}-%{version}/INSTALL.%{kmod_name} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/INSTALL.txt
%{__install} README_%{kmod_name}_QLOGIC.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} RELEASE_%{kmod_name}_QLOGIC.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} -d %{buildroot}%{_mandir}/man4/
%{__install} %{kmod_name}-%{version}/%{kmod_name}.4.gz %{buildroot}%{_mandir}/man4/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Sun Aug 03 2014 Alan Bartlett <ajb@elrepo.org> - 5.3.55.7-1
- Updated to version 5.3.55.7

* Mon Nov 11 2013 Alan Bartlett <ajb@elrepo.org> - 5.2.46.1-1
- Updated to version 5.2.46.1

* Sat Apr 20 2013 Alan Bartlett <ajb@elrepo.org> - 5.2.29.45-1
- Updated to version 5.2.29.45

* Sat Jan 05 2013 Alan Bartlett <ajb@elrepo.org> - 5.0.29.2-1
- Updated to version 5.0.29.2

* Fri Oct 19 2012 Alan Bartlett <ajb@elrepo.org> - 5.0.28.1-1
- Updated to version 5.0.28.1

* Thu Aug 16 2012 Alan Bartlett <ajb@elrepo.org> - 5.0.26-1
- Initial el6 build of the kmod package.
